No Project Title

Overview Prev Next

TJSDialog component for Borland Delphi. Supported versions are Delphi 6, Delphi 7, Delphi 2005 and BDS 2006.


TLinkClickedEvent Prev Next

Unit
JSUrlLabel

Description
OnLinkClicked event signature. To stop default handling of the link clicked event set the Handled property to False. The properties or the link are in the Link parameter.


Unit
JSProgressBar

Description

Value Meaning

pbstNormal: The progress bar is drawn blue.

pbstPaused: The progress bar is drawn yellow.

pbstError: The progress bar is drawn red.


Unit
JSProgressBar

Description

Value Meaning

psNormal: Use the normal style when you know the maximum value of the progress and can update it when required.

psMarquee: Use the marquee style to show an indeterminate progress bar. That is a progress bar that you do not know when it is going to finish.


Unit
JSGraphUtil

Description

Value Meaning

tbgLeftRight: Draw the gradient from left to right.

tbgTopBottom: Draw the gradient from top to bottom.


TCommonButtons Prev Next

Unit
JSDialogs

Description
Set of TCustomButton.


Unit
JSDialogs

Description

Value Meaning

cbYes: Display a button with the caption Yes and has a modal result value of mrYes.

cbNo: Display a button with the caption No and has a modal result value of mrNo.

cbOK: Display a button with the caption OK and has a modal result value of mrOK.

cbCancel: Display a button with the caption Cancel and has a modal result value of mrCancel.

cbAbort: Display a button with the caption Abort and has a modal result value of mrAbort.

cbRetry: Display a button with the caption Retry and has a modal result value of mrRetry.

cbIgnore: Display a button with the caption Ignore and has a modal result value of mrIgnore.

cbAll: Display a button with the caption All and has a modal result value of mrAll.

cbNoToAll: Display a button with the caption No to All and has a modal result value of mrNoToAll.

cbYesToAll: Display a button with the caption Yes to All and has a modal result value of mrYesToAll.

cbHelp: Display a button with the caption Help and has a modal result value of mrNone.

cbClose: Display a button with the caption Close and has a modal result value of mrNone.


Unit
JSDialogs

Description

Value Meaning

tdiNone: No icon is to be displayed.

tdiWarning: Display the operating systems warning icon.

tdiError: Display the operating systems error icon.

tdiInformation: Display the operating systems information icon.

tdiConfirmation: Display the operating systems confirmation icon.

tdiCustom: Display the operating systems custom icon.

tdiShield: Display the operating systems shield icon. For non Windows Vista systems the shield icons are stored in a resource file.


Unit
JSDialogs

Description

Value Meaning

mtContent: Display message string in the content section of the dialog

mtInstruction: Display message string in the instruction section of the dialog


TDialogOptions Prev Next

Unit
JSDialog

Description
Set that controls which sections and features the dialog will have.


Unit
JSDialog

Description

Value Meaning

doShowHelpLink: Display a clickable label that links to additional help information about the dialog.

Customise the label by using the HelpLink property.

doRadioButtons: Display radio buttons for the items specified in the RadioButtons property.

doCommandLinks: Display any custom buttons as Command Link Buttons but do not display any Glyphs with the buttons.

doCommandLinksNoIcon: Display any custom buttons as Command Link Buttons but do not display any Glyphs with the buttons. If the Picture property is set, the picture will still be displayed.

doProgressBar: Display a progress bar on the dialog.

doProgressBarMarquee: Display a progress bar on the dialog that displays as indeterminate.

doTimer: This feature is currently not implemented.

doTopMost: Set this option to make the dialog display stay on top.

doModal: Display the dialog as modal. This is the default setting for DialogOptions.


TDialogCloseEvent Prev Next

Unit
JSDialog

Description
Type of event triggered when the dialog is closed


TGetVerificationResult Prev Next

Unit
JSDialog

Description
Type of event OnGetVerificationResult


TControlClickEvent Prev Next

Unit
JSDialog

Description
Control Click event type.


TGetMoreStreamEvent Prev Next

Unit
JSDialog

Description
Type of event for OnGetMoreStream


TInitControlEvent Prev Next

Unit
JSDialog

Description
Type of event OnInitControl event


TGetControlClassEvent Prev Next

Unit
JSDialog

Description
Type of event OnGetControlClass


Unit
JSDialog

Description

Value Meaning

isSmall: Icon drawn is 16 x 16

isMedium: Icon drawn is 24 x 24

isLarge: Icon drawn is 32 x 32


THelpLinkClickEvent Prev Next

Unit
JSDialog

Description
Type of event for OnHelpLinkClick


Unit
JSDialog

Description

Value Meaning

msDefault: Using msDefault uses the text set in the Text property of the TExpando class.

msStream: When using msStream, handle the OnMoreStream event.

msFile: When using msFile, handle the OnMoreFile event.


Unit
JSDialog

Description

Value Meaning

mfText: The text is ANSI text.

mfRTF: The text is RTF format and therefore contain links. This type is only supported when MoreSource is either msStream or msFile.


TGetMoreFileNameEvent Prev Next

Unit
JSDialog

Description
Type of event OnGetMoreFileName


TUpdateProgressBarEvent Prev Next

Unit
JSDialog

Description
Type used in the OnUpdateProgressBar event.


TUpdateProgressBarStateEvent Prev Next

Unit
JSDialog

Description
Type used in the OnUpdateProgressBar event that helps update the progress bar style when using a custom progress bar.


Unit
JSDialog

Description

Value Meaning

dpScreenCenter: Display the dialog in the center of the screen.

dpDesktopCenter: Display the dialog in the center of the desktop.

dpMainFormCenter: Display the dialog in the center of the applications main form.

dpOwnerFormCenter: Display the dialog in the center of the dialogs owner.

dpDesigned: Dialog position is set by the caller using the Location method


Unit
JSDialog

Description

Value Meaning

ctButton: This control type is used for the buttons that appear in the ButtonBar. When doCommandLinks is not specified in the DialogOptions property, any custom buttons also use this control type.

ctCommandLink: Control type used for the command links. Command Links are only available when doCommandLinks or doCommandLinksNoIcon is specified in DialogOptions. Additional command link properties are to be read from the corresponding CustomButtonItem class.

ctCheckBox: This control type is used as the verification control. This control type appears in the footer of the dialog.

ctMoreButton: This control type is for the control that shows the user that there is more information available for viewing. This control must allow for an HideText and ShowText caption as well as provide visual feedback to the user to let them know that more information is available.

ctRichEdit: This control type is used when the Expando text is to be displayed in the Footer. For the Expando text to be displayed in the footer the ShowInFooter property must be true.

ctLinkLabel: This control type is the clickable label that provides additional help information to the user. Clicking this control type should open the applications Help File and activate the topic that is specified by the HelpLink property.

ctURLLabel: This control type is used in the footer of the dialog. Any class that is used in the footer should be able to support embedded hyperlinks.

ctRadioButton: RadioButton control. This control is used when displaying a list of options to the user.

Specify the radio buttons properties using the RadioButtonItem collection item class created when adding items to the RadioButtons property.

ctProgressBar: This control type is used when displaying some progress within the dialog


Unit
JSDialog

Description

Value Meaning

psGlyph: Location of the dialog Glyph.

psInstruction: Location of the dialog Instruction.

psContent: Location of the dialog Content.

psMoreLines: Location of the More text when ShowInFooter is False.

psRadio: Location of the Radio Buttons.

psCommand: Location of the Command Link Buttons.

psHeader: Location of the Header.

psFooter: Location of the Footer. This will not always be at the bottom of the dialog. See psMoreFooter for additional information.

psMoreFooter: When ShowInFooter is True when Expando button is visible this is used for the location of more text.

psButtonBar: Location that displays the Common Buttons, More Button and Verification check box. Can also be the location when CustomButtons are displayed when not using CommandLinks.

psHelpLink: Location of the Help Link label.

psProgressBar: Location of the Progress Bar.


Unit
JSUrlLabel

Description
Default control used for the display of the dialog footer (ControlType = ctFooter). Control allows the embedding of a link with the text.

To embed a link use HTML syntax.

Example: Click here to launch website


TJSCheckBox |  | Prev | Next
Properties | Events

Unit
JSCheckBox

Description
Control used as the verification check box that appears in the ButtonBar section of the dialog.


TJSCustomCheckBox |  | Prev | Next
Properties | Methods

Unit
JSCheckBox


TCommandLinkButton |  | Prev | Next
Properties | Events

Unit
JSButton

Description
The TCommandLinkButton class is the default class used to represent the Command Links in the Dialog.

You can change what class is used to draw the Command Links for your dialog by providing a OnInitControl handler that handles the ControlType of ctCommandLink.


TCustomCommandLinkButton |  | Prev | Next
Properties | Methods

Unit
JSButton

Description
This is the base class for the TCommandLinkButton class.


TJSSizeComparer |  | Prev | Next
Properties | Methods

Unit
JSDialog


TJSCustomButtonItem |  | Prev | Next
Properties | Methods

Unit
JSDialog


TJSCustomButtons |  | Prev | Next
Properties | Methods

Unit
JSDialog


TJSRadioButtonItem |  | Prev | Next
Properties | Methods

Unit
JSDialog

Description
Describes the appearance of any radio buttons on the dialog.


TJSRadioButtons |  | Prev | Next
Properties | Methods

Unit
JSDialog

Description
<keywords radio buttons,TJSRadioButtonItem,TJSRadioButtons>

Collection that maintains the list of radio button items.


TJSDialogOwnedPersistent |  | Prev | Next
Properties | Methods

Unit
JSDialog


TJSProgress |  | Prev | Next
Properties | Methods

Unit
JSDialog

Description
Class that holds the settings for when a progress bar is displayed on the dialog.

For the progress bar to be visible you must have either doProgressBar or doProgressBarMarquee set in the DialogOptions property.


TJSChangePersistent |  | Prev | Next
Methods | Events

Unit
JSDialog


TJSExpando |  | Prev | Next
Properties | Methods

Unit
JSDialog

Description
Class that describes the how the dialog will appear when it has been expanded or collapsed. Visible must be TRUE for the Expando control to be displayed.


TJSHelpLink |  | Prev | Next
Properties | Methods

Unit
JSDialog

Description
Settings for how the Help Link is displayed in the dialog. To make the Help Link display in the dialog you must specific doHelpLinks in the DialogOptions.


TJSBaseOptions |  | Prev | Next
Properties | Methods

Unit
JSDialog


TJSHeader |  | Prev | Next
Properties | Methods

Unit
JSDialog

Description
Type used to represent the information that needs to appear in the Header section of the dialog.


TJSFooter Prev Next

Unit
JSDialog

Description
Type used to represent the information that needs to appear on the footer of the dialog.


TJSBorder |  | Prev | Next
Properties | Methods

Unit
JSDialog

Description
Type used to represent the appearance of a border around the contents of the dialog.

By default the Border is visible. The color and width of the border is customisable.


TJSInstruction |  | Prev | Next
Properties | Methods

Unit
JSDialog

Description
Class that controls the appearance of the Instruction section the dialog.


TJSButtonBarOptions |  | Prev | Next
Properties | Methods

Unit
JSDialog

Description
Options for controlling the appearance of the button section that appears at the base of the dialog.


TJSVerification |  | Prev | Next
Properties | Methods

Unit
JSDialog

Description
Class that holds details about the verification control on the dialog.


TDialogResult Prev Next

Unit
JSDialog

Description
Set that controls which sections and features the dialog will have.


TJSCustomLabel |  |  | Prev | Next
Properties | Methods | Events

Unit
JSLabel


TJSCustomMoreLabel |  | Prev | Next
Properties | Methods

Unit
JSLabel


Properties

Unit
JSLabel

Description
Default control for displaying the possibility of additional information about the dialog is possible to be displayed.

This control can also be referred to as the Collapse/Expand control.


TJSProgressBar |  |  | Prev | Next
Properties | Methods | Events

Unit
JSProgressBar

Description
Default control used when doProgressBar or doProgressBarMarquee option is set in the DialogOptions property.


TJSRichEdit |  |  | Prev | Next
Properties | Methods | Events

Unit
JSRichEdit

Description
Default control used when the More text is to be displayed in the Footer.

To display the More text in the footer of the dialog make sure the ShowInFooter property is set to True in the MoreOptions property.


TUrlLink |  | Prev
Properties | Methods

Unit
JSUrlLabel

Description
Class that holds the Link location, the Text associated with the link and also the Rect in which the link Text is located within the label.


Unit
JSUrlLabel

Description
Default control used when the doHelpLink option is set in the DialogOptions property.

To use a different control specify the control to use in the TjsDialog OnGetControlClass event.


Globals |  | Next
Properties | Methods


Globals Properties
Globals

Public
BACKUP_FONTNAME
clInstruction
clVistaSeparator
DEF_FONTNAME
mbAbortIgnore
mbAbortRetryIgnore
mbOKCancel
mbYesAllNoAllCancel
mbYesNo
mbYesNoCancel


DEF_FONTNAME |  | Prev | Next
Globals | Properties

Declaration

DEF_
FONTNAME='
Segoe
UI';

Description
Name of the default font to use


BACKUP_FONTNAME |  | Next
Globals | Properties

Declaration

BACKUP_
FONTNAME='
Tahoma';

Description
Name of the backup font if the DEF_FONTNAME font is not available


clInstruction |  | Prev | Next
Globals | Properties

Declaration

clInstruction=$
00
CE5A00;

Description
Default Color used for the dialog instruction


clVistaSeparator |  | Prev | Next
Globals | Properties

Declaration

clVistaSeparator=$
00
DFDFDF;

Description
Color constant defined for the color used in vista to draw the divider line between the content section of the dialog and the common button section.


Globals Methods
Globals

Public
FillGradient2
MessageDlg
MessageDlgPos
RoundRect
ShowConfirmMessage
ShowErrorMessage
ShowInfoMessage
ShowMessage
ShowMessageFmt
ShowMessagePos
ShowWarningMessage
ValidPicture
VerifyMessage


Declaration

function
MessageDlg(

const

Msg:

string
 ;
DlgType:
TMsgDlgType;
Buttons:
TMsgDlgButtons;
HelpCtx:
Longint;
DefaultButton:
TMsgDlgBtn):
Integer;

Description
For these functions to be used you must remove the Dialogs unit from the uses clause of the unit Otherwise you need to reference the unit when using the functions: Example Dialogs.MessageDlg('Test', mtInformation, [mbOK], 0);

JSDialogs.MessageDlg('Test', mtInformation, [mbOK], 0);


MessageDlgPos |  | Prev | Next
Globals | Methods

Declaration

function
MessageDlgPos(

const

Msg:

string
 ;
DlgType:
TMsgDlgType;
Buttons:
TMsgDlgButtons;
HelpCtx:
Longint;
X,
Y:
Integer;
DefaultButton:
TMsgDlgBtn):
Integer;

Description
Replacement function for the MessageDlgPos function from the Dialogs unit.


ShowMessagePos |  | Prev | Next
Globals | Methods

Declaration

procedure
ShowMessagePos(

const

Msg:

string

X,
Y:
Integer);

Description
Replacement function for the ShowMessagePos function from the Dialogs unit.


ShowMessage |  | Prev | Next
Globals | Methods

Declaration

procedure
ShowMessage(

const

Msg:

string
 );

Description
Wrapper around the commonly used ShowMessage function. If you require the Dialogs unit to be used by a unit, then you need to preface the ShowMessage call with the unit name you want referenced.
Example
To use the ShowMessage method within the JSDialog unit then you would use it like:
ShowMessage('My Message');


ShowMessageFmt |  | Prev | Next
Globals | Methods

Declaration

procedure
ShowMessageFmt(

const

Msg:

string

Params:

array

of

const
 );

Description
Wrapper around the commonly used ShowMessageFmt function. If you require the Dialogs unit to be used by a unit, then you need to preface the ShowMessageFmt call with the unit name you want referenced.
Example
To use the ShowMessageFmt method within the JSDialog unit then you would use it like:
JSDialog.ShowMessageFmt('My %d messages are accumulating', [3]);


VerifyMessage |  | Prev
Globals | Methods

Declaration

function
VerifyMessage(

const

aMsg:

string

const

aIcon:
TTaskDialogIcon;

const

aButtons:
TCommonButtons;

const

aHelpIdx:
Integer;

const

aMsgType:
TMsgType;

const

aVerifyText:

string

var

aVerifyResult:
Boolean):
TModalResult;

Description
Creates a dialog with the verification checkbox visible. The verification result is passed through the aVerifyResult parameter.
Set the aVerifyResult parameter to True to have the checkbox checked when the dialog initially displays.


ShowErrorMessage |  | Prev | Next
Globals | Methods

Declaration

procedure
ShowErrorMessage(

const

aMsg:

string
 );

Description
Displays a dialog with the Error icon visible.


ShowWarningMessage |  | Prev | Next
Globals | Methods

Declaration

function
ShowWarningMessage(

const

aMsg:

string
 ):
TModalResult;

Description
Displays a dialog with the Warning icon visible.
Has OK and Cancel buttons visible. Result will either be mrOK or mrCancel


ShowConfirmMessage |  | Prev | Next
Globals | Methods

Declaration

function
ShowConfirmMessage(

const

aMsg:

string
 ):
TModalResult;

Description
Displays a dialog with the Confirmation icon visible.
Has Yes and No buttons visible. Function result will either be mrYes or mrNo


ShowInfoMessage |  | Prev | Next
Globals | Methods

Declaration

procedure
ShowInfoMessage(

const

aMsg:

string
 );

Description
Displays a dialog with the Information icon visible.


FillGradient2 |  | Next
Globals | Methods

Declaration

procedure
FillGradient2(

const

DC:
HDC;

const

ARect:
TRect;

const

StartColor,
EndColor:
TColorRef;

const

Direction:
TOSGradientDir);

Description
This is an alternative gradient function used to support older Delphi versions that do not have the GradientFillCanvas function from GraphUtil.


RoundRect |  | Prev | Next
Globals | Methods

Declaration

procedure
RoundRect(
aCanvas:
TCanvas;
aRect:
TRect;
aCX,
aCY:
Integer;

const

aColor:
TColor=
clNone;

const

aBrushStyle:
TBrushStyle=
bsClear);

Description
Function to draw the roundrect style that accepts a TRect type parameter.


ValidPicture |  | Prev | Next
Globals | Methods

Declaration

function
ValidPicture(
APicture:
TPicture):
Boolean;

Description
Function that checks whether a TPicture property contains a valid picture.


JSButton File
List of Units

Unit Classes
TCommandLinkButton
TCustomCommandLinkButton


TCommandLinkButton Events
TCommandLinkButton


TCommandLinkButton Properties
TCommandLinkButton


TCustomCommandLinkButton.AdjustBounds |  | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

AdjustBounds;


TCustomCommandLinkButton.AdjustBounds Example
TCustomCommandLinkButton


TCustomCommandLinkButton.Cancel |  | Next
TCustomCommandLinkButton | Properties

Declaration

property

Cancel:
Boolean

read

FCancel

write

SetCancel

default

False;


TCustomCommandLinkButton.Cancel Example
TCustomCommandLinkButton


TCustomCommandLinkButton.CMDialogChar |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

CMDialogChar(

var

Message

TCMDialogChar);


TCustomCommandLinkButton.CMDialogChar Example
TCustomCommandLinkButton


TCustomCommandLinkButton.CMFontchanged |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

CMFontchanged(

var

Message

TMessage);


TCustomCommandLinkButton.CMFontchanged Example
TCustomCommandLinkButton


TCustomCommandLinkButton.CMMouseenter |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

CMMouseenter(

var

Message

TMessage);


TCustomCommandLinkButton.CMMouseenter Example
TCustomCommandLinkButton


TCustomCommandLinkButton.CMMouseleave |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

CMMouseleave(

var

Message

TMessage);


TCustomCommandLinkButton.CMMouseleave Example
TCustomCommandLinkButton


TCustomCommandLinkButton.CMTextchanged |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

CMTextchanged(

var

Message

TMessage);


TCustomCommandLinkButton.CMTextchanged Example
TCustomCommandLinkButton


TCustomCommandLinkButton.Create |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

constructor

Create(
AOwner:
TComponent);

override


TCustomCommandLinkButton.Create Example
TCustomCommandLinkButton


TCustomCommandLinkButton.Default |  | Prev | Next
TCustomCommandLinkButton | Properties

Declaration

property

Default:
Boolean

read

FDefault

write

SetDefault

default

False;

Description
The default property indicates which button is selected when the enter button on the dialog is pressed. The default button also has a different border to the other buttons on the dialog when pressing enter will click it.


TCustomCommandLinkButton.Default Example
TCustomCommandLinkButton


TCustomCommandLinkButton.DefaultHeight |  | Prev | Next
TCustomCommandLinkButton | Properties

Declaration

property

DefaultHeight:
Integer

read

FDefaultHeight

write

SetDefaultHeight

default
  -
1;

Description
This is the default height for the button. This property is currently not used and may be removed in a subsequent release.


TCustomCommandLinkButton.DefaultHeight Example
TCustomCommandLinkButton


TCustomCommandLinkButton.Destroy |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

destructor

Destroy;

override


TCustomCommandLinkButton.Destroy Example
TCustomCommandLinkButton


TCustomCommandLinkButton.GetRect |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

function

GetRect(
AStage:
TPaintStage):
TRect;

virtual


TCustomCommandLinkButton.GetRect Example
TCustomCommandLinkButton


TCustomCommandLinkButton.Glyph |  | Prev | Next
TCustomCommandLinkButton | Properties

Declaration

property

Glyph:
TPicture

read

FGlyph

write

SetGlyph;

Description
Glyph displayed next to the button caption. By default this is a green arrow.


TCustomCommandLinkButton.Glyph Example
TCustomCommandLinkButton


TCustomCommandLinkButton.Info |  | Prev | Next
TCustomCommandLinkButton | Properties

Declaration

property

Info:
TStrings

read

FInfo

write

SetInfo;

Description
Use the Info property to display additional text under the button caption. Info text can be span multiple lines and include new lines.


TCustomCommandLinkButton.Info Example
TCustomCommandLinkButton


TCustomCommandLinkButton.InfoFont |  | Prev | Next
TCustomCommandLinkButton | Properties

Declaration

property

InfoFont:
TFont

read

FInfoFont

write

SetInfoFont;


TCustomCommandLinkButton.InfoFont Example
TCustomCommandLinkButton


TCustomCommandLinkButton.KeyUp |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

KeyUp(

var

Key:
Word;
Shift:
TShiftState);

override


TCustomCommandLinkButton.KeyUp Example
TCustomCommandLinkButton


TCustomCommandLinkButton.Loaded |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

Loaded;

override


TCustomCommandLinkButton.Loaded Example
TCustomCommandLinkButton


TCustomCommandLinkButton Methods
TCustomCommandLinkButton

Public
Create
Destroy

Protected
AdjustBounds
CMDialogChar
CMFontchanged
CMMouseenter
CMMouseleave
CMTextchanged
GetRect
KeyUp
Loaded
MouseDown
Paint
PaintBorder
PaintCaption
PaintDefaultBorder
PaintFocus
PaintGlyph
PaintInfo
PaintPicture
WMEraseBkgnd
WMKillFocus
WMSetFocus


TCustomCommandLinkButton.ModalResult |  | Prev | Next
TCustomCommandLinkButton | Properties

Declaration

property

ModalResult:
TModalResult

read

FModalResult

write

FModalResult

default

mrNone;

Description
The result returned when the button is clicked.


TCustomCommandLinkButton.ModalResult Example
TCustomCommandLinkButton


TCustomCommandLinkButton.MouseDown |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

MouseDown(
Button:
TMouseButton;
Shift:
TShiftState;
X:
Integer;
Y:
Integer);

override


TCustomCommandLinkButton.MouseDown Example
TCustomCommandLinkButton


TCustomCommandLinkButton.MouseInControl |  | Prev | Next
TCustomCommandLinkButton | Properties

Declaration

property

MouseInControl:
Boolean

read

FMouseInControl

write

SetMouseInControl;


TCustomCommandLinkButton.MouseInControl Example
TCustomCommandLinkButton


TCustomCommandLinkButton.Paint |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

Paint;

override


TCustomCommandLinkButton.Paint Example
TCustomCommandLinkButton


TCustomCommandLinkButton.PaintBorder |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

PaintBorder(
ARect:
TRect);

virtual


TCustomCommandLinkButton.PaintBorder Example
TCustomCommandLinkButton


TCustomCommandLinkButton.PaintCaption |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

PaintCaption(
ARect:
TRect);

virtual


TCustomCommandLinkButton.PaintCaption Example
TCustomCommandLinkButton


TCustomCommandLinkButton.PaintDefaultBorder |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

PaintDefaultBorder(
ARect:
TRect);

virtual


TCustomCommandLinkButton.PaintDefaultBorder Example
TCustomCommandLinkButton


TCustomCommandLinkButton.PaintFocus |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

PaintFocus(
ARect:
TRect);

virtual


TCustomCommandLinkButton.PaintFocus Example
TCustomCommandLinkButton


TCustomCommandLinkButton.PaintGlyph |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

PaintGlyph(
ARect:
TRect);

virtual


TCustomCommandLinkButton.PaintGlyph Example
TCustomCommandLinkButton


TCustomCommandLinkButton.PaintInfo |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

PaintInfo(
ARect:
TRect);

virtual


TCustomCommandLinkButton.PaintInfo Example
TCustomCommandLinkButton


TCustomCommandLinkButton.PaintPicture |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

PaintPicture(
ARect:
TRect);

virtual


TCustomCommandLinkButton.PaintPicture Example
TCustomCommandLinkButton


TCustomCommandLinkButton.Picture |  | Prev | Next
TCustomCommandLinkButton | Properties

Declaration

property

Picture:
TPicture

read

FPicture

write

SetPicture;

Description
Additional Image that can be associated with the button. This image will display under the caption and next to any Info text for the button. The picture is also indented so that it displays under the start of the caption and not directly under the buttons Glyph.


TCustomCommandLinkButton.Picture Example
TCustomCommandLinkButton


TCustomCommandLinkButton Properties
TCustomCommandLinkButton

Public
Cancel
Default
DefaultHeight
Glyph
Info
InfoFont
ModalResult
MouseInControl
Picture
ShowIcon


TCustomCommandLinkButton.ShowIcon |  | Prev | Next
TCustomCommandLinkButton | Properties

Declaration

property

ShowIcon:
Boolean

read

FShowIcon

write

SetShowIcon;

Description
Set to True to show the image set in the Glyph property if there is one
This option does not suppress the displaying of the image set in Picture property. If you do not want the Picture to display then clear the Picture property


TCustomCommandLinkButton.ShowIcon Example
TCustomCommandLinkButton


TCustomCommandLinkButton.WMEraseBkgnd |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

WMEraseBkgnd(

var

Message

TWMEraseBkgnd);


TCustomCommandLinkButton.WMEraseBkgnd Example
TCustomCommandLinkButton


TCustomCommandLinkButton.WMKillFocus |  | Prev | Next
TCustomCommandLinkButton | Methods

Declaration

procedure

WMKillFocus(

var

Message

TWMKillFocus);


TCustomCommandLinkButton.WMKillFocus Example
TCustomCommandLinkButton


TCustomCommandLinkButton.WMSetFocus |  | Prev
TCustomCommandLinkButton | Methods

Declaration

procedure

WMSetFocus(

var

Message

TWMSetFocus);


TCustomCommandLinkButton.WMSetFocus Example
TCustomCommandLinkButton


JSCheckBox File
List of Units

Unit Classes
TJSCheckBox
TJSCustomCheckBox


TJSCheckBox Events
TJSCheckBox


TJSCheckBox Properties
TJSCheckBox


TJSCustomCheckBox.ActionChange |  | Next
TJSCustomCheckBox | Methods

Declaration

procedure

ActionChange(
Sender:
TObject;
CheckDefaults:
Boolean);

override


TJSCustomCheckBox.ActionChange Example
TJSCustomCheckBox


TJSCustomCheckBox.Alignment |  | Next
TJSCustomCheckBox | Properties

Declaration

property

Alignment:
TLeftRight

read

FAlignment

write

SetAlignment

default

taLeftJustify;

Description
Controls the horizontal placement of the check box caption.


TJSCustomCheckBox.Alignment Example
TJSCustomCheckBox


TJSCustomCheckBox.BMSetCheck |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

BMSetCheck(

var

Message

TMessage);


TJSCustomCheckBox.BMSetCheck Example
TJSCustomCheckBox


TJSCustomCheckBox.Checked |  | Prev | Next
TJSCustomCheckBox | Properties

Declaration

property

Checked:
Boolean

read

FChecked

write

SetChecked

default

False;

Description
Specifies whether the check box control is checked.


TJSCustomCheckBox.Checked Example
TJSCustomCheckBox


TJSCustomCheckBox.Click |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

Click;

override


TJSCustomCheckBox.Click Example
TJSCustomCheckBox


TJSCustomCheckBox.CMDialogChar |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

CMDialogChar(

var

Message

TCMDialogChar);


TJSCustomCheckBox.CMDialogChar Example
TJSCustomCheckBox


TJSCustomCheckBox.CMMouseenter |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

CMMouseenter(

var

Message

TMessage);


TJSCustomCheckBox.CMMouseenter Example
TJSCustomCheckBox


TJSCustomCheckBox.CMMouseleave |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

CMMouseleave(

var

Message

TMessage);


TJSCustomCheckBox.CMMouseleave Example
TJSCustomCheckBox


TJSCustomCheckBox.CMTextchanged |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

CMTextchanged(

var

Message

TMessage);


TJSCustomCheckBox.CMTextchanged Example
TJSCustomCheckBox


TJSCustomCheckBox.Create |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

constructor

Create(
AOwner:
TComponent);

override


TJSCustomCheckBox.Create Example
TJSCustomCheckBox


TJSCustomCheckBox.Destroy |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

destructor

Destroy;

override


TJSCustomCheckBox.Destroy Example
TJSCustomCheckBox


TJSCustomCheckBox.DoClick |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

DoClick;

virtual


TJSCustomCheckBox.DoClick Example
TJSCustomCheckBox


TJSCustomCheckBox.DrawBackground |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

DrawBackground;

virtual


TJSCustomCheckBox.DrawBackground Example
TJSCustomCheckBox


TJSCustomCheckBox.DrawCaption |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

DrawCaption;

virtual


TJSCustomCheckBox.DrawCaption Example
TJSCustomCheckBox


TJSCustomCheckBox.DrawCheck |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

DrawCheck;

virtual


TJSCustomCheckBox.DrawCheck Example
TJSCustomCheckBox


TJSCustomCheckBox.HitTestCaption |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

function

HitTestCaption(

const

X,
Y:
Integer):
Boolean;

virtual


TJSCustomCheckBox.HitTestCaption Example
TJSCustomCheckBox


TJSCustomCheckBox Methods
TJSCustomCheckBox

Public
Create
Destroy

Protected
ActionChange
BMSetCheck
Click
CMDialogChar
CMMouseenter
CMMouseleave
CMTextchanged
DoClick
DrawBackground
DrawCaption
DrawCheck
HitTestCaption
MouseDown
MouseUp
Paint
Toggle
WMEraseBkgnd
WMKillFocus
WMSetFocus


TJSCustomCheckBox.MouseDown |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

MouseDown(
Button:
TMouseButton;
Shift:
TShiftState;
X:
Integer;
Y:
Integer);

override


TJSCustomCheckBox.MouseDown Example
TJSCustomCheckBox


TJSCustomCheckBox.MouseInControl |  | Prev | Next
TJSCustomCheckBox | Properties

Declaration

property

MouseInControl:
Boolean

read

FMouseInControl

write

SetMouseInControl;


TJSCustomCheckBox.MouseInControl Example
TJSCustomCheckBox


TJSCustomCheckBox.MouseUp |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

MouseUp(
Button:
TMouseButton;
Shift:
TShiftState;
X:
Integer;
Y:
Integer);

override


TJSCustomCheckBox.MouseUp Example
TJSCustomCheckBox


TJSCustomCheckBox.Paint |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

Paint;

override


TJSCustomCheckBox.Paint Example
TJSCustomCheckBox


TJSCustomCheckBox Properties
TJSCustomCheckBox

Public
Alignment
Checked
Transparent
UseWideCaption
WideCaption

Protected
MouseInControl
State


TJSCustomCheckBox.State |  | Prev | Next
TJSCustomCheckBox | Properties

Declaration

property

State:
TCheckBoxState

read

FState

write

SetState

default

cbUnchecked;


TJSCustomCheckBox.State Example
TJSCustomCheckBox


TJSCustomCheckBox.Toggle |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

Toggle;

virtual


TJSCustomCheckBox.Toggle Example
TJSCustomCheckBox


TJSCustomCheckBox.Transparent |  | Prev | Next
TJSCustomCheckBox | Properties

Declaration

property

Transparent:
Boolean

read

GetTransparent

write

SetTransparent

default

True;

Description
Specifies whether controls that sit below the check box are visible through the label.


TJSCustomCheckBox.Transparent Example
TJSCustomCheckBox


TJSCustomCheckBox.UseWideCaption |  | Prev | Next
TJSCustomCheckBox | Properties

Declaration

property

UseWideCaption:
Boolean

read

FUseWideCaption

write

SetUseWideCaption

default

False;

Description
Set UseWideCaption to True if you caption you want to display needs to support unicode.


TJSCustomCheckBox.UseWideCaption Example
TJSCustomCheckBox


TJSCustomCheckBox.WideCaption |  | Prev
TJSCustomCheckBox | Properties

Declaration

property

WideCaption:
WideString

read

FWideCaption

write

SetWideCaption;

Description
Use the WideCaption property if the caption text needs to support unicode.
The value of WideCaption is only used when the UseWideCaption property is True.


TJSCustomCheckBox.WideCaption Example
TJSCustomCheckBox


TJSCustomCheckBox.WMEraseBkgnd |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

WMEraseBkgnd(

var

Message

TWMEraseBkgnd);


TJSCustomCheckBox.WMEraseBkgnd Example
TJSCustomCheckBox


TJSCustomCheckBox.WMKillFocus |  | Prev | Next
TJSCustomCheckBox | Methods

Declaration

procedure

WMKillFocus(

var

Message

TWMKillFocus);


TJSCustomCheckBox.WMKillFocus Example
TJSCustomCheckBox


TJSCustomCheckBox.WMSetFocus |  | Prev
TJSCustomCheckBox | Methods

Declaration

procedure

WMSetFocus(

var

Message

TWMSetFocus);


TJSCustomCheckBox.WMSetFocus Example
TJSCustomCheckBox


JSDialog File
List of Units

Unit Classes
TControlClickEvent
TControlType
TDialogCloseEvent
TDialogOption
TDialogOptions
TDialogPosition
TDialogResult
TGetControlClassEvent
TGetMoreFileNameEvent
TGetMoreStreamEvent
TGetVerificationResult
THelpLinkClickEvent
TInitControlEvent
TJSBaseOptions
TJSBorder
TJSButtonBarOptions
TJSChangePersistent
TJSCustomButtonItem
TJSCustomButtons
TJSDialogOwnedPersistent
TJSExpando
TJSFooter
TJSHeader
TJSHelpLink
TJSIconSize
TJSInstruction
TJSProgress
TJSRadioButtonItem
TJSRadioButtons
TJSSizeComparer
TJSVerification
TMoreFormat
TMoreSource
TPaintStage
TUpdateProgressBarEvent
TUpdateProgressBarStateEvent


BACKUP_FONTNAME Example
Globals


clInstruction Example
Globals


clVistaSeparator Example
Globals


DEF_FONTNAME Example
Globals


JSDialogs File
List of Units

Unit Classes
TCommonButton
TCommonButtons
TMsgType
TTaskDialogIcon
Unit Globals
Globals Globals Globals Globals Globals Globals Globals Globals Globals Globals


mbAbortIgnore |  | Prev | Next
Globals | Properties

Declaration

mbAbortIgnore=[
mbAbort,
mbIgnore];

Description
Redeclared from the dialogs.pas unit.


mbAbortIgnore Example
Globals


mbAbortRetryIgnore |  | Prev | Next
Globals | Properties

Declaration

mbAbortRetryIgnore=[
mbAbort,
mbRetry,
mbIgnore];

Description
Redeclared from the dialogs.pas unit.


mbAbortRetryIgnore Example
Globals


mbOKCancel |  | Prev | Next
Globals | Properties

Declaration

mbOKCancel=[
mbOK,
mbCancel];

Description
Redeclared from the dialogs.pas unit.


mbOKCancel Example
Globals


mbYesAllNoAllCancel |  | Prev | Next
Globals | Properties

Declaration

mbYesAllNoAllCancel=[
mbYes,
mbYesToAll,
mbNo,
mbNoToAll,
mbCancel];

Description
Redeclared from the dialogs.pas unit.


mbYesAllNoAllCancel Example
Globals


mbYesNo |  | Prev | Next
Globals | Properties

Declaration

mbYesNo=[
mbYes,
mbNo];

Description
Redeclared from the dialogs.pas unit.


mbYesNo Example
Globals


mbYesNoCancel |  | Prev
Globals | Properties

Declaration

mbYesNoCancel=[
mbYes,
mbNo,
mbCancel];

Description
Redeclared from the dialogs.pas unit.


mbYesNoCancel Example
Globals


MessageDlg Example
Globals


MessageDlgPos Example
Globals


ShowConfirmMessage Example
Globals


ShowErrorMessage Example
Globals


ShowInfoMessage Example
Globals


ShowMessage Example
Globals


ShowMessageFmt Example
Globals


ShowMessagePos Example
Globals


ShowWarningMessage Example
Globals


VerifyMessage Example
Globals


TJSBaseOptions.Assign |  | Next
TJSBaseOptions | Methods

Declaration

procedure

Assign(
Source:
TPersistent);

override


TJSBaseOptions.Assign Example
TJSBaseOptions


TJSBaseOptions.Create |  | Prev | Next
TJSBaseOptions | Methods

Declaration

constructor

Create(
ADialog:
TJSCustomDialog);

override


TJSBaseOptions.Create Example
TJSBaseOptions


TJSBaseOptions.Destroy |  | Prev
TJSBaseOptions | Methods

Declaration

destructor

Destroy;

override


TJSBaseOptions.Destroy Example
TJSBaseOptions


TJSBaseOptions.Font |  | Next
TJSBaseOptions | Properties

Declaration

property

Font:
TFont

read

FFont

write

SetFont

stored

IsFontStored;


TJSBaseOptions.Font Example
TJSBaseOptions


TJSBaseOptions.Glyph |  | Prev | Next
TJSBaseOptions | Properties

Declaration

property

Glyph:
TPicture

read

FGlyph

write

SetGlyph;


TJSBaseOptions.Glyph Example
TJSBaseOptions


TJSBaseOptions.Icon |  | Prev | Next
TJSBaseOptions | Properties

Declaration

property

Icon:
TTaskDialogIcon

read

FIcon

write

SetIcon

default

tdiNone;


TJSBaseOptions.Icon Example
TJSBaseOptions


TJSBaseOptions Methods
TJSBaseOptions

Public
Assign
Create
Destroy


TJSBaseOptions Properties
TJSBaseOptions

Public
Font
Glyph
Icon
Text
Visible


TJSBaseOptions.Text |  | Prev | Next
TJSBaseOptions | Properties

Declaration

property

Text:

string

read

FText

write

SetText;


TJSBaseOptions.Text Example
TJSBaseOptions


TJSBaseOptions.Visible |  | Prev
TJSBaseOptions | Properties

Declaration

property

Visible:
Boolean

read

FVisible

write

SetVisible

default

False;


TJSBaseOptions.Visible Example
TJSBaseOptions


TJSBorder.Assign |  | Next
TJSBorder | Methods

Declaration

procedure

Assign(
Source:
TPersistent);

override


TJSBorder.Assign Example
TJSBorder


TJSBorder.Color |  | Next
TJSBorder | Properties

Declaration

property

Color:
TColor

read

FColor

write

FColor

default

clGray;

Description
Sets the color of the border. Default Value  clGray


TJSBorder.Color Example
TJSBorder


TJSBorder.Create |  | Prev
TJSBorder | Methods

Declaration

constructor

Create(
ADialog:
TJSCustomDialog);

override


TJSBorder.Create Example
TJSBorder


TJSBorder Methods
TJSBorder

Public
Assign
Create


TJSBorder Properties
TJSBorder

Public
Color
Visible
Width


TJSBorder.Visible |  | Prev | Next
TJSBorder | Properties

Declaration

property

Visible:
Boolean

read

FVisible

write

FVisible

default

False;

Description
Determines whether the border is visible or not. Default Value  True


TJSBorder.Visible Example
TJSBorder


TJSBorder.Width |  | Prev
TJSBorder | Properties

Declaration

property

Width:
Integer

read

FWidth

write

FWidth

default

1;

Description
Sets the width of the border to be displayed. Default Value  1 pixel


TJSBorder.Width Example
TJSBorder


TJSButtonBarOptions.Assign |  | Next
TJSButtonBarOptions | Methods

Declaration

procedure

Assign(
Source:
TPersistent);

override


TJSButtonBarOptions.Assign Example
TJSButtonBarOptions


TJSButtonBarOptions.Buttons |  | Next
TJSButtonBarOptions | Properties

Declaration

property

Buttons:
TCommonButtons

read

FButtons

write

SetButtons

default
 [
cbOK,
cbCancel];

Description
Set of Common Buttons to display.


TJSButtonBarOptions.Buttons Example
TJSButtonBarOptions


TJSButtonBarOptions.Cancel |  | Prev | Next
TJSButtonBarOptions | Properties

Declaration

property

Cancel:
TCommonButton

read

FCancel

write

SetCancel

default

cbCancel;

Description
Set the Cancel common button for the dialog.


TJSButtonBarOptions.Cancel Example
TJSButtonBarOptions


TJSButtonBarOptions.Color |  | Prev | Next
TJSButtonBarOptions | Properties

Declaration

property

Color:
TColor

read

FColor

write

SetColor

default

clBtnFace;

Description
Color of the Button Bar.


TJSButtonBarOptions.Color Example
TJSButtonBarOptions


TJSButtonBarOptions.Create |  | Prev
TJSButtonBarOptions | Methods

Declaration

constructor

Create(
ADialog:
TJSCustomDialog);

override


TJSButtonBarOptions.Create Example
TJSButtonBarOptions


TJSButtonBarOptions.Default |  | Prev | Next
TJSButtonBarOptions | Properties

Declaration

property

Default:
TCommonButton

read

FDefault

write

SetDefault

default

cbOK;

Description
Set the Default common button for the dialog.


TJSButtonBarOptions.Default Example
TJSButtonBarOptions


TJSButtonBarOptions Methods
TJSButtonBarOptions

Public
Assign
Create


TJSButtonBarOptions Properties
TJSButtonBarOptions

Public
Buttons
Cancel
Color
Default
ShowDivider
UseCancel
UseDefault
Visible


TJSButtonBarOptions.ShowDivider |  | Prev | Next
TJSButtonBarOptions | Properties

Declaration

property

ShowDivider:
Boolean

read

FShowDivider

write

FShowDivider

default

True;

Description
Displays the top line of the Button Bar. You might want to hide the divider to use the dialog in legacy mode.


TJSButtonBarOptions.ShowDivider Example
TJSButtonBarOptions


TJSButtonBarOptions.UseCancel |  | Prev | Next
TJSButtonBarOptions | Properties

Declaration

property

UseCancel:
Boolean

read

FUseCancel

write

FUseCancel

default

True;

Description
Set this property to True if you want to use the values set in the Cancel property.
You may want to set this property to False if you have a Command Link Button that you want to be the default button for the dialog.


TJSButtonBarOptions.UseCancel Example
TJSButtonBarOptions


TJSButtonBarOptions.UseDefault |  | Prev | Next
TJSButtonBarOptions | Properties

Declaration

property

UseDefault:
Boolean

read

FUseDefault

write

FUseDefault

default

True;

Description
Set this property to True if you want to use the values set in the Default property.
You may want to set this property to False if you have a Command Link Button that you want to be the default button for the dialog.


TJSButtonBarOptions.UseDefault Example
TJSButtonBarOptions


TJSButtonBarOptions.Visible |  | Prev
TJSButtonBarOptions | Properties

Declaration

property

Visible:
Boolean

read

FVisible

write

SetVisible

default

True;

Description
Set to False to hide the Button Bar. Default value is True.


TJSButtonBarOptions.Visible Example
TJSButtonBarOptions


TJSChangePersistent.DoChange

Declaration

procedure

DoChange;

virtual


TJSChangePersistent.DoChange Example


TJSChangePersistent Events
TJSChangePersistent

Public
OnChange


TJSChangePersistent Methods
TJSChangePersistent

Protected
DoChange


TJSChangePersistent.OnChange

Declaration

property

OnChange:
TNotifyEvent

read

FOnChange

write

FOnChange;


TJSChangePersistent.OnChange Example


TJSCustomButtonItem.Assign |  | Next
TJSCustomButtonItem | Methods

Declaration

procedure

Assign(
Source:
TPersistent);

override


TJSCustomButtonItem.Assign Example
TJSCustomButtonItem


TJSCustomButtonItem.Cancel |  | Next
TJSCustomButtonItem | Properties

Declaration

property

Cancel:
Boolean

read

FCancel

write

FCancel

default

False;


TJSCustomButtonItem.Cancel Example
TJSCustomButtonItem


TJSCustomButtonItem.Caption |  | Prev | Next
TJSCustomButtonItem | Properties

Declaration

property

Caption:

string

read

FCaption

write

SetCaption;


TJSCustomButtonItem.Caption Example
TJSCustomButtonItem


TJSCustomButtonItem.Create |  | Prev | Next
TJSCustomButtonItem | Methods

Declaration

constructor

Create(
Collection:
TCollection);

override


TJSCustomButtonItem.Create Example
TJSCustomButtonItem


TJSCustomButtonItem.Default |  | Prev | Next
TJSCustomButtonItem | Properties

Declaration

property

Default:
Boolean

read

FDefault

write

FDefault

default

False;


TJSCustomButtonItem.Default Example
TJSCustomButtonItem


TJSCustomButtonItem.Destroy |  | Prev | Next
TJSCustomButtonItem | Methods

Declaration

destructor

Destroy;

override


TJSCustomButtonItem.Destroy Example
TJSCustomButtonItem


TJSCustomButtonItem.GetDisplayName |  | Prev | Next
TJSCustomButtonItem | Methods

Declaration

function

GetDisplayName:

string

override


TJSCustomButtonItem.GetDisplayName Example
TJSCustomButtonItem


TJSCustomButtonItem.GetOwner |  | Prev
TJSCustomButtonItem | Methods

Declaration

function

GetOwner:
TPersistent;

override


TJSCustomButtonItem.GetOwner Example
TJSCustomButtonItem


TJSCustomButtonItem.Glyph |  | Prev | Next
TJSCustomButtonItem | Properties

Declaration

property

Glyph:
TPicture

read

FGlyph

write

SetGlyph;


TJSCustomButtonItem.Glyph Example
TJSCustomButtonItem


TJSCustomButtonItem.Hint |  | Prev | Next
TJSCustomButtonItem | Properties

Declaration

property

Hint:

string

read

FHint

write

SetHint;


TJSCustomButtonItem.Hint Example
TJSCustomButtonItem


TJSCustomButtonItem.ImageIndex |  | Prev | Next
TJSCustomButtonItem | Properties

Declaration

property

ImageIndex:
Integer

read

FImageIndex

write

FImageIndex

default
  -
1;


TJSCustomButtonItem.ImageIndex Example
TJSCustomButtonItem


TJSCustomButtonItem.Info |  | Prev | Next
TJSCustomButtonItem | Properties

Declaration

property

Info:
TStrings

read

FInfo

write

SetInfo;


TJSCustomButtonItem.Info Example
TJSCustomButtonItem


TJSCustomButtonItem Methods
TJSCustomButtonItem

Public
Assign
Create
Destroy

Protected
GetDisplayName
GetOwner


TJSCustomButtonItem.ModalResult |  | Prev | Next
TJSCustomButtonItem | Properties

Declaration

property

ModalResult:
TModalResult

read

FModalResult

write

FModalResult

default

mrNone;


TJSCustomButtonItem.ModalResult Example
TJSCustomButtonItem


TJSCustomButtonItem Properties
TJSCustomButtonItem

Public
Cancel
Caption
Default
Glyph
Hint
ImageIndex
Info
ModalResult
Value


TJSCustomButtonItem.Value |  | Prev
TJSCustomButtonItem | Properties

Declaration

property

Value:
Integer

read

FValue

write

FValue;


TJSCustomButtonItem.Value Example
TJSCustomButtonItem


TJSCustomButtons.Add |  | Next
TJSCustomButtons | Methods

Declaration

function

Add:
TJSCustomButtonItem;


TJSCustomButtons.Add Example
TJSCustomButtons


TJSCustomButtons.Items |  | Next
TJSCustomButtons | Properties

Declaration

property

Items[

Index

Integer]:
TJSCustomButtonItem

read

GetItem

write

SetItem;


TJSCustomButtons.Items Example
TJSCustomButtons


TJSCustomButtons.MessagePanel |  | Prev
TJSCustomButtons | Properties

Declaration

property

MessagePanel:
TJSCustomDialog

read

GetMessagePanel;


TJSCustomButtons.MessagePanel Example
TJSCustomButtons


TJSCustomButtons Methods
TJSCustomButtons

Public
Add

Protected
Notify


TJSCustomButtons.Notify |  | Prev
TJSCustomButtons | Methods

Declaration

procedure

Notify(
Item:
TCollectionItem;
Action:
TCollectionNotification);

override


TJSCustomButtons.Notify Example
TJSCustomButtons


TJSCustomButtons Properties
TJSCustomButtons

Public
Items
MessagePanel


TJSDialogOwnedPersistent.Create

Declaration

constructor

Create(
ADialog:
TJSCustomDialog);

virtual


TJSDialogOwnedPersistent.Create Example
TJSDialogOwnedPersistent


TJSDialogOwnedPersistent.Dialog

Declaration

property

Dialog:
TJSCustomDialog

read

FDialog;


TJSDialogOwnedPersistent.Dialog Example
TJSDialogOwnedPersistent


TJSDialogOwnedPersistent Methods
TJSDialogOwnedPersistent

Public
Create


TJSDialogOwnedPersistent Properties
TJSDialogOwnedPersistent

Protected
Dialog


TJSExpando.Assign |  | Next
TJSExpando | Methods

Declaration

procedure

Assign(
Source:
TPersistent);

override


TJSExpando.Assign Example
TJSExpando


TJSExpando.Create |  | Prev | Next
TJSExpando | Methods

Declaration

constructor

Create(
ADialog:
TJSCustomDialog);

override


TJSExpando.Create Example
TJSExpando


TJSExpando.Destroy |  | Prev
TJSExpando | Methods

Declaration

destructor

Destroy;

override


TJSExpando.Destroy Example
TJSExpando


TJSExpando.Font |  | Next
TJSExpando | Properties

Declaration

property

Font:
TFont

read

FFont

write

SetFont

stored

IsFontStored;

Description
Font to use when drawing the Expando control.


TJSExpando.Font Example
TJSExpando


TJSExpando.HideText |  | Prev | Next
TJSExpando | Properties

Declaration

property

HideText:

string

read

FHideText

write

SetHideText;

Description
The text to display when the dialog has been expanded.


TJSExpando.HideText Example
TJSExpando


TJSExpando.Lines |  | Prev | Next
TJSExpando | Properties

Declaration

property

Lines:
TStrings

read

FLines

write

SetLines;

Description
The text that is displayed when the dialog has been expanded.


TJSExpando.Lines Example
TJSExpando


TJSExpando Methods
TJSExpando

Public
Assign
Create
Destroy


TJSExpando.MoreFormat |  | Prev | Next
TJSExpando | Properties

Declaration

property

MoreFormat:
TMoreFormat

read

FMoreFormat

write

FMoreFormat

default

mfText;

Description
The format of the expanded text.


TJSExpando.MoreFormat Example
TJSExpando


TJSExpando.MoreHeight |  | Prev | Next
TJSExpando | Properties

Declaration

property

MoreHeight:
Integer

read

FMoreHeight

write

SetMoreHeight

default

0;

Description
The height of the expanded section when the section is the footer. ShowInFooter must be TRUE for MoreHeight to be used.


TJSExpando.MoreHeight Example
TJSExpando


TJSExpando.MoreSource |  | Prev | Next
TJSExpando | Properties

Declaration

property

MoreSource:
TMoreSource

read

FMoreSource

write

FMoreSource

default

msDefault;

Description
Source of the expanded text. It is possible to set the expanded text source to be file, stream or the default. The default means the expanded text comes from the Lines property. There are events (OnGetFileName, OnGetFileStream) for the other text source types.


TJSExpando.MoreSource Example
TJSExpando


TJSExpando Properties
TJSExpando

Public
Font
HideText
Lines
MoreFormat
MoreHeight
MoreSource
ShowInFooter
Showing
ShowText
Visible


TJSExpando.ShowInFooter |  | Prev | Next
TJSExpando | Properties

Declaration

property

ShowInFooter:
Boolean

read

FShowInFooter

write

SetShowInFooter

default

False;

Description
Show the expanded text in the footer of the dialog. The default is to show the expanded text under the Content section of the dialog.


TJSExpando.ShowInFooter Example
TJSExpando


TJSExpando.Showing |  | Prev | Next
TJSExpando | Properties

Declaration

property

Showing:
Boolean

read

FShowing

write

SetShowing

default

False;

Description
Set Showing to TRUE to have the dialog display expanded when first displayed. The default value for Showing is False.


TJSExpando.Showing Example
TJSExpando


TJSExpando.ShowText |  | Prev | Next
TJSExpando | Properties

Declaration

property

ShowText:

string

read

FShowText

write

SetShowText;

Description
The Expando control text used when the dialog is current collapsed.


TJSExpando.ShowText Example
TJSExpando


TJSExpando.Visible |  | Prev
TJSExpando | Properties

Declaration

property

Visible:
Boolean

read

FVisible

write

SetVisible

default

False;

Description
Determines whether the Expando control is displayed or not. Set Visible to TRUE for the control to be displayed.


TJSExpando.Visible Example
TJSExpando


TJSHeader.Assign |  | Next
TJSHeader | Methods

Declaration

procedure

Assign(
Source:
TPersistent);

override


TJSHeader.Assign Example
TJSHeader


TJSHeader.Color |  | Next
TJSHeader | Properties

Declaration

property

Color:
TColor

read

FColor

write

FColor

default

clWindow;

Description
Background color of the Header section.


TJSHeader.Color Example
TJSHeader


TJSHeader.Create |  | Prev
TJSHeader | Methods

Declaration

constructor

Create(
ADialog:
TJSCustomDialog);

override


TJSHeader.Create Example
TJSHeader


TJSHeader.IconSize |  | Prev
TJSHeader | Properties

Declaration

property

IconSize:
TJSIconSize

read

FIconSize

write

FIconSize

default

isLarge;

Description
Size of the Icon to use in the Header section.


TJSHeader.IconSize Example
TJSHeader


TJSHeader Methods
TJSHeader

Public
Assign
Create


TJSHeader Properties
TJSHeader

Public
Color
IconSize


TJSHelpLink.Assign |  | Next
TJSHelpLink | Methods

Declaration

procedure

Assign(
Source:
TPersistent);

override


TJSHelpLink.Assign Example
TJSHelpLink


TJSHelpLink.Create |  | Prev | Next
TJSHelpLink | Methods

Declaration

constructor

Create(
ADialog:
TJSCustomDialog);

override


TJSHelpLink.Create Example
TJSHelpLink


TJSHelpLink.Destroy |  | Prev
TJSHelpLink | Methods

Declaration

destructor

Destroy;

override


TJSHelpLink.Destroy Example
TJSHelpLink


TJSHelpLink.Font |  | Next
TJSHelpLink | Properties

Declaration

property

Font:
TFont

read

FFont

write

SetFont

stored

IsFontStored;

Description
Font to use when drawing the Help Link.


TJSHelpLink.Font Example
TJSHelpLink


TJSHelpLink.HelpContext |  | Prev | Next
TJSHelpLink | Properties

Declaration

property

HelpContext:
THelpContext

read

FHelpContext

write

FHelpContext

default

0;

Description
The Help Context Id used when the Help Link is activated. For the HelpContext to be used HelpType must be htContext.


TJSHelpLink.HelpContext Example
TJSHelpLink


TJSHelpLink.HelpKeyword |  | Prev | Next
TJSHelpLink | Properties

Declaration

property

HelpKeyword:

String

read

FHelpKeyword

write

FHelpKeyword;

Description
The keyword used when the Help Link is activated. For the HelpKeyword to be used HelpType must be htKeyword.


TJSHelpLink.HelpKeyword Example
TJSHelpLink


TJSHelpLink.HelpType |  | Prev | Next
TJSHelpLink | Properties

Declaration

property

HelpType:
THelpType

read

FHelpType

write

FHelpType

default

htContext;

Description
Determines which method of accessing the help is used. Set HelpType to htContext to use the HelpContext or htKeyword to use HelpKeyword.


TJSHelpLink.HelpType Example
TJSHelpLink


TJSHelpLink Methods
TJSHelpLink

Public
Assign
Create
Destroy


TJSHelpLink Properties
TJSHelpLink

Public
Font
HelpContext
HelpKeyword
HelpType
Text


TJSHelpLink.Text |  | Prev
TJSHelpLink | Properties

Declaration

property

Text:

string

read

FText

write

SetText;

Description
The Help Link text that is displayed on the dialog.


TJSHelpLink.Text Example
TJSHelpLink


TJSInstruction.Assign |  | Next
TJSInstruction | Methods

Declaration

procedure

Assign(
Source:
TPersistent);

override


TJSInstruction.Assign Example
TJSInstruction


TJSInstruction.Create |  | Prev | Next
TJSInstruction | Methods

Declaration

constructor

Create(
ADialog:
TJSCustomDialog);

override


TJSInstruction.Create Example
TJSInstruction


TJSInstruction.Destroy |  | Prev
TJSInstruction | Methods

Declaration

destructor

Destroy;

override


TJSInstruction.Destroy Example
TJSInstruction


TJSInstruction.Font |  | Next
TJSInstruction | Properties

Declaration

property

Font:
TFont

read

FFont

write

SetFont

stored

IsFontStored;

Description
Font used to draw the Instruction for the dialog.


TJSInstruction.Font Example
TJSInstruction


TJSInstruction.Glyph |  | Prev | Next
TJSInstruction | Properties

Declaration

property

Glyph:
TPicture

read

FGlyph

write

SetGlyph;

Description
The instruction can contain display an image.


TJSInstruction.Glyph Example
TJSInstruction


TJSInstruction.Icon |  | Prev | Next
TJSInstruction | Properties

Declaration

property

Icon:
TTaskDialogIcon

read

FIcon

write

SetIcon

default

tdiNone;

Description
Set the icon style to display one of the predefined images.


TJSInstruction.Icon Example
TJSInstruction


TJSInstruction Methods
TJSInstruction

Public
Assign
Create
Destroy


TJSInstruction.Multiline |  | Prev | Next
TJSInstruction | Properties

Declaration

property

Multiline:
Boolean

read

FMultiline

write

SetMultiline

default

False;

Description
Set the instruction to multiline.
WARNING This property will most likely be removed in a later version.


TJSInstruction.Multiline Example
TJSInstruction


TJSInstruction Properties
TJSInstruction

Public
Font
Glyph
Icon
Multiline
ShowAtTop
ShowGlyph
Text


TJSInstruction.ShowAtTop |  | Prev | Next
TJSInstruction | Properties

Declaration

property

ShowAtTop:
Boolean

read

FShowAtTop

write

SetShowAtTop

default

False;

Description
Display the at the left most possible margin.
This means that if the MainIcon property is set then the instruction will appear on top of the icon.


TJSInstruction.ShowAtTop Example
TJSInstruction


TJSInstruction.ShowGlyph |  | Prev | Next
TJSInstruction | Properties

Declaration

property

ShowGlyph:
Boolean

read

FShowGlyph

write

SetShowGlyph

default

False;

Description
Set ShowGlyph to true to display the image specified in the Glyph property.


TJSInstruction.ShowGlyph Example
TJSInstruction


TJSInstruction.Text |  | Prev
TJSInstruction | Properties

Declaration

property

Text:

string

read

FText

write

SetText;

Description
The text of the instruction. It is recommended that this be in the form of a question.


TJSInstruction.Text Example
TJSInstruction


TJSProgress.Assign |  | Next
TJSProgress | Methods

Declaration

procedure

Assign(
Source:
TPersistent);

override


TJSProgress.Assign Example
TJSProgress


TJSProgress.Create |  | Prev
TJSProgress | Methods

Declaration

constructor

Create(
ADialog:
TJSCustomDialog);

override


TJSProgress.Create Example
TJSProgress


TJSProgress.Interval |  | Next
TJSProgress | Properties

Declaration

property

Interval:
Cardinal

read

FInterval

write

FInterval

default

100;

Description
Set the interval to control the scrolling speed when a Marquee progress bar is being displayed. The lower the interval, the faster the scrolling speed.


TJSProgress.Interval Example
TJSProgress


TJSProgress.Max |  | Prev | Next
TJSProgress | Properties

Declaration

property

Max:
Integer

read

FMax

write

FMax

default

100;

Description
The maximum value of the progress bar. Once the progress has reached the Max value, the dialog is automatically closed.


TJSProgress.Max Example
TJSProgress


TJSProgress Methods
TJSProgress

Public
Assign
Create


TJSProgress.Min |  | Prev | Next
TJSProgress | Properties

Declaration

property

Min:
Integer

read

FMin

write

FMin

default

0;

Description
The start value for the progress bar.


TJSProgress.Min Example
TJSProgress


TJSProgress.Position |  | Prev | Next
TJSProgress | Properties

Declaration

property

Position:
Integer

read

FPosition

write

FPosition

default

0;

Description
The current position of the progress bar. While the dialog is being displayed the position value will change as the progress progresses.


TJSProgress.Position Example
TJSProgress


TJSProgress Properties
TJSProgress

Public
Interval
Max
Min
Position
State
Step


TJSProgress.State |  | Prev | Next
TJSProgress | Properties

Declaration

property

State:
TProgressBarState

read

FState

write

FState

default

pbstNormal;

Description
The state of the progress bar. Currently only supported for non-themed dialogs. The possible states are Normal, Paused and Error.


TJSProgress.State Example
TJSProgress


TJSProgress.Step |  | Prev
TJSProgress | Properties

Declaration

property

Step:
Integer

read

FStep

write

FStep

default

1;

Description
The amount the Progress property is updated by when UpdateProgress method is called on the TJSDialog.


TJSProgress.Step Example
TJSProgress


TJSRadioButtonItem.Assign |  | Next
TJSRadioButtonItem | Methods

Declaration

procedure

Assign(
Source:
TPersistent);

override


TJSRadioButtonItem.Assign Example
TJSRadioButtonItem


TJSRadioButtonItem.Caption |  | Next
TJSRadioButtonItem | Properties

Declaration

property

Caption:

string

read

FCaption

write

SetCaption;

Description
Caption of the radio button.


TJSRadioButtonItem.Caption Example
TJSRadioButtonItem


TJSRadioButtonItem.Checked |  | Prev | Next
TJSRadioButtonItem | Properties

Declaration

property

Checked:
Boolean

read

FChecked

write

FChecked

default

False;

Description
Determines whether the radio button is checked when it is first displayed. Remember that since only one radio button can be checked at a time, if you specify Checked for more than one radio button only the last radio button created will be checked.


TJSRadioButtonItem.Checked Example
TJSRadioButtonItem


TJSRadioButtonItem.Create |  | Prev | Next
TJSRadioButtonItem | Methods

Declaration

constructor

Create(
Collection:
TCollection);

override


TJSRadioButtonItem.Create Example
TJSRadioButtonItem


TJSRadioButtonItem.Enabled |  | Prev | Next
TJSRadioButtonItem | Properties

Declaration

property

Enabled:
Boolean

read

FEnabled

write

FEnabled

default

True;

Description
If Enabled is TRUE then the user to change the checked state the radio button.


TJSRadioButtonItem.Enabled Example
TJSRadioButtonItem


TJSRadioButtonItem.GetDisplayName |  | Prev
TJSRadioButtonItem | Methods

Declaration

function

GetDisplayName:

string

override


TJSRadioButtonItem.GetDisplayName Example
TJSRadioButtonItem


TJSRadioButtonItem Methods
TJSRadioButtonItem

Public
Assign
Create

Protected
GetDisplayName


TJSRadioButtonItem Properties
TJSRadioButtonItem

Public
Caption
Checked
Enabled
Value


TJSRadioButtonItem.Value |  | Prev
TJSRadioButtonItem | Properties

Declaration

property

Value:
Integer

read

FValue

write

FValue;

Description
The internal value assigned to the radio button. This helps you determine which radio button has been checked. Radio Button values are automatically assigned when the radio button is added and start at 200. You shouldn't need to modify this value.


TJSRadioButtonItem.Value Example
TJSRadioButtonItem


TJSRadioButtons.Add |  | Next
TJSRadioButtons | Methods

Declaration

function

Add:
TJSRadioButtonItem;


TJSRadioButtons.Add Example
TJSRadioButtons


TJSRadioButtons.Items |  | Next
TJSRadioButtons | Properties

Declaration

property

Items[

Index

Integer]:
TJSRadioButtonItem

read

GetItem

write

SetItem;


TJSRadioButtons.Items Example
TJSRadioButtons


TJSRadioButtons.MessagePanel |  | Prev
TJSRadioButtons | Properties

Declaration

property

MessagePanel:
TJSCustomDialog

read

GetMessagePanel;


TJSRadioButtons.MessagePanel Example
TJSRadioButtons


TJSRadioButtons Methods
TJSRadioButtons

Public
Add

Protected
Notify


TJSRadioButtons.Notify |  | Prev
TJSRadioButtons | Methods

Declaration

procedure

Notify(
Item:
TCollectionItem;
Action:
TCollectionNotification);

override


TJSRadioButtons.Notify Example
TJSRadioButtons


TJSRadioButtons Properties
TJSRadioButtons

Public
Items
MessagePanel


TJSSizeComparer.Create |  | Next
TJSSizeComparer | Methods

Declaration

constructor

Create(

const

aWidth,
aHeight:
Integer);


TJSSizeComparer.Create Example
TJSSizeComparer


TJSSizeComparer.Height |  | Next
TJSSizeComparer | Properties

Declaration

Height:
Integer;


TJSSizeComparer.Height Example
TJSSizeComparer


TJSSizeComparer.IsEqual |  | Prev
TJSSizeComparer | Methods

Declaration

function

IsEqual(

const

aWidth,
aHeight:
Integer):
Boolean;


TJSSizeComparer.IsEqual Example
TJSSizeComparer


TJSSizeComparer Methods
TJSSizeComparer

Public
Create
IsEqual


TJSSizeComparer Properties
TJSSizeComparer

Public
Height
Width


TJSSizeComparer.Width |  | Prev
TJSSizeComparer | Properties

Declaration

Width:
Integer;


TJSSizeComparer.Width Example
TJSSizeComparer


TJSVerification.Assign |  | Next
TJSVerification | Methods

Declaration

procedure

Assign(
Source:
TPersistent);

override


TJSVerification.Assign Example
TJSVerification


TJSVerification.Create |  | Prev
TJSVerification | Methods

Declaration

constructor

Create(
ADialog:
TJSCustomDialog);

override


TJSVerification.Create Example
TJSVerification


TJSVerification Methods
TJSVerification

Public
Assign
Create


TJSVerification Properties
TJSVerification

Public
Text
Visible


TJSVerification.Text |  | Next
TJSVerification | Properties

Declaration

property

Text:

string

read

FText

write

SetText;

Description
Text to display next to the verification check box.


TJSVerification.Text Example
TJSVerification


TJSVerification.Visible |  | Prev
TJSVerification | Properties

Declaration

property

Visible:
Boolean

read

FVisible

write

SetVisible

default

False;

Description
Set to True to display the verification check box.


TJSVerification.Visible Example
TJSVerification


JSGraphUtil File
List of Units

Unit Classes
TOSGradientDir
Unit Globals
Globals Globals Globals


FillGradient2 Example
Globals


RoundRect Example
Globals


ValidPicture Example
Globals


JSLabel File
List of Units

Unit Classes
TJSCustomLabel
TJSCustomMoreLabel
TJSMoreLabel


TJSCustomLabel.AdjustBounds |  | Next
TJSCustomLabel | Methods

Declaration

procedure

AdjustBounds;


TJSCustomLabel.AdjustBounds Example
TJSCustomLabel


TJSCustomLabel.Caption |  | Prev
TJSCustomLabel | Properties

Declaration

property

Caption:
TCaption

read

FCaption

write

SetCaption;


TJSCustomLabel.Caption Example
TJSCustomLabel


TJSCustomLabel.CMColorchanged |  | Prev | Next
TJSCustomLabel | Methods

Declaration

procedure

CMColorchanged(

var

Message

TMessage);


TJSCustomLabel.CMColorchanged Example
TJSCustomLabel


TJSCustomLabel.CMDialogChar |  | Prev | Next
TJSCustomLabel | Methods

Declaration

procedure

CMDialogChar(

var

Message

TCMDialogChar);


TJSCustomLabel.CMDialogChar Example
TJSCustomLabel


TJSCustomLabel.Create |  | Prev | Next
TJSCustomLabel | Methods

Declaration

constructor

Create(
AOwner:
TComponent);

override


TJSCustomLabel.Create Example
TJSCustomLabel


TJSCustomLabel.DoDrawText |  | Prev | Next
TJSCustomLabel | Methods

Declaration

procedure

DoDrawText(

var

Rect:
TRect;
Flags:
Longint);

virtual


TJSCustomLabel.DoDrawText Example
TJSCustomLabel


TJSCustomLabel Events
TJSCustomLabel


TJSCustomLabel Methods
TJSCustomLabel

Public
Create

Protected
AdjustBounds
CMColorchanged
CMDialogChar
DoDrawText
MouseDown
Paint
WMKillFocus
WMSetFocus


TJSCustomLabel.MouseDown |  | Prev | Next
TJSCustomLabel | Methods

Declaration

procedure

MouseDown(
Button:
TMouseButton;
Shift:
TShiftState;
X:
Integer;
Y:
Integer);

override


TJSCustomLabel.MouseDown Example
TJSCustomLabel


TJSCustomLabel.Paint |  | Prev | Next
TJSCustomLabel | Methods

Declaration

procedure

Paint;

override


TJSCustomLabel.Paint Example
TJSCustomLabel


TJSCustomLabel Properties
TJSCustomLabel

Public
Caption


TJSCustomLabel.WMKillFocus |  | Prev | Next
TJSCustomLabel | Methods

Declaration

procedure

WMKillFocus(

var

Message

TWMKillFocus);


TJSCustomLabel.WMKillFocus Example
TJSCustomLabel


TJSCustomLabel.WMSetFocus |  | Prev
TJSCustomLabel | Methods

Declaration

procedure

WMSetFocus(

var

Message

TWMSetFocus);


TJSCustomLabel.WMSetFocus Example
TJSCustomLabel


TJSCustomMoreLabel.AdjustBounds |  | Next
TJSCustomMoreLabel | Methods

Declaration

procedure

AdjustBounds;

override


TJSCustomMoreLabel.AdjustBounds Example
TJSCustomMoreLabel


TJSCustomMoreLabel.CMMouseenter |  | Prev | Next
TJSCustomMoreLabel | Methods

Declaration

procedure

CMMouseenter(

var

Message

TMessage);


TJSCustomMoreLabel.CMMouseenter Example
TJSCustomMoreLabel


TJSCustomMoreLabel.CMMouseleave |  | Prev | Next
TJSCustomMoreLabel | Methods

Declaration

procedure

CMMouseleave(

var

Message

TMessage);


TJSCustomMoreLabel.CMMouseleave Example
TJSCustomMoreLabel


TJSCustomMoreLabel.Create |  | Prev | Next
TJSCustomMoreLabel | Methods

Declaration

constructor

Create(
AOwner:
TComponent);

override


TJSCustomMoreLabel.Create Example
TJSCustomMoreLabel


TJSCustomMoreLabel.Destroy |  | Prev | Next
TJSCustomMoreLabel | Methods

Declaration

destructor

Destroy;

override


TJSCustomMoreLabel.Destroy Example
TJSCustomMoreLabel


TJSCustomMoreLabel.DoDrawText |  | Prev | Next
TJSCustomMoreLabel | Methods

Declaration

procedure

DoDrawText(

var

Rect:
TRect;
Flags:
Integer);

override


TJSCustomMoreLabel.DoDrawText Example
TJSCustomMoreLabel


TJSCustomMoreLabel.Expanded |  | Next
TJSCustomMoreLabel | Properties

Declaration

property

Expanded:
Boolean

read

FExpanded

write

SetExpanded;

Description
Property is True when the control has been expanded. This property helps control what image is set in the Glyph property.


TJSCustomMoreLabel.Expanded Example
TJSCustomMoreLabel


TJSCustomMoreLabel.Glyph |  | Prev | Next
TJSCustomMoreLabel | Properties

Declaration

property

Glyph:
TPicture

read

FGlyph

write

SetGlyph;

Description
Glyph image that is used to indicate whether the control has been expanded or is currently collapsed.


TJSCustomMoreLabel.Glyph Example
TJSCustomMoreLabel


TJSCustomMoreLabel.KeyDown |  | Prev | Next
TJSCustomMoreLabel | Methods

Declaration

procedure

KeyDown(

var

Key:
Word;
Shift:
TShiftState);

override


TJSCustomMoreLabel.KeyDown Example
TJSCustomMoreLabel


TJSCustomMoreLabel.Loaded |  | Prev | Next
TJSCustomMoreLabel | Methods

Declaration

procedure

Loaded;

override


TJSCustomMoreLabel.Loaded Example
TJSCustomMoreLabel


TJSCustomMoreLabel Methods
TJSCustomMoreLabel

Public
Create
Destroy

Protected
AdjustBounds
CMMouseenter
CMMouseleave
DoDrawText
KeyDown
Loaded
MouseDown
MouseMove
Paint
WMEraseBkgnd


TJSCustomMoreLabel.MouseDown |  | Prev | Next
TJSCustomMoreLabel | Methods

Declaration

procedure

MouseDown(
Button:
TMouseButton;
Shift:
TShiftState;
X:
Integer;
Y:
Integer);

override


TJSCustomMoreLabel.MouseDown Example
TJSCustomMoreLabel


TJSCustomMoreLabel.MouseInButton |  | Prev | Next
TJSCustomMoreLabel | Properties

Declaration

property

MouseInButton:
Boolean

read

FMouseInButton

write

SetMouseInButton;


TJSCustomMoreLabel.MouseInButton Example
TJSCustomMoreLabel


TJSCustomMoreLabel.MouseInControl |  | Prev | Next
TJSCustomMoreLabel | Properties

Declaration

property

MouseInControl:
Boolean

read

FMouseInControl

write

SetMouseInControl;


TJSCustomMoreLabel.MouseInControl Example
TJSCustomMoreLabel


TJSCustomMoreLabel.MouseMove |  | Prev | Next
TJSCustomMoreLabel | Methods

Declaration

procedure

MouseMove(
Shift:
TShiftState;
X:
Integer;
Y:
Integer);

override


TJSCustomMoreLabel.MouseMove Example
TJSCustomMoreLabel


TJSCustomMoreLabel.Paint |  | Prev | Next
TJSCustomMoreLabel | Methods

Declaration

procedure

Paint;

override


TJSCustomMoreLabel.Paint Example
TJSCustomMoreLabel


TJSCustomMoreLabel Properties
TJSCustomMoreLabel

Public
Expanded
Glyph
Spacing

Protected
MouseInButton
MouseInControl


TJSCustomMoreLabel.Spacing |  | Prev
TJSCustomMoreLabel | Properties

Declaration

property

Spacing:
Integer

read

FSpacing

write

SetSpacing

default

4;

Description
Spacing between the Glyph and the start of the control Caption.
Default Value 4 pixels


TJSCustomMoreLabel.Spacing Example
TJSCustomMoreLabel


TJSCustomMoreLabel.WMEraseBkgnd |  | Prev
TJSCustomMoreLabel | Methods

Declaration

procedure

WMEraseBkgnd(

var

Message

TWMEraseBkgnd);


TJSCustomMoreLabel.WMEraseBkgnd Example
TJSCustomMoreLabel


TJSMoreLabel Properties
TJSMoreLabel


JSProgressBar File
List of Units

Unit Classes
TJSProgressBar
TProgressBarState
TProgressStyle


TJSProgressBar.Activate |  | Next
TJSProgressBar | Methods

Declaration

procedure

Activate(
aInterval:
Integer);


TJSProgressBar.Activate Example
TJSProgressBar


TJSProgressBar.Active |  | Next
TJSProgressBar | Properties

Declaration

property

Active:
Boolean

read

GetActive

write

SetActive

default

False;

Description
Set to start the psMarquee style progress bar.


TJSProgressBar.Active Example
TJSProgressBar


TJSProgressBar.ChunckWidth |  | Prev | Next
TJSProgressBar | Properties

Declaration

property

ChunckWidth:
Integer

read

FChunkWidth

write

SetChunkWidth

default

40;

Description
Width of each of the progress bar segments.


TJSProgressBar.ChunckWidth Example
TJSProgressBar


TJSProgressBar.Create |  | Prev | Next
TJSProgressBar | Methods

Declaration

constructor

Create(
AOwner:
TComponent);

override


TJSProgressBar.Create Example
TJSProgressBar


TJSProgressBar.Deactivate |  | Prev | Next
TJSProgressBar | Methods

Declaration

procedure

Deactivate;


TJSProgressBar.Deactivate Example
TJSProgressBar


TJSProgressBar.Destroy |  | Prev | Next
TJSProgressBar | Methods

Declaration

destructor

Destroy;

override


TJSProgressBar.Destroy Example
TJSProgressBar


TJSProgressBar.DoProgress |  | Prev | Next
TJSProgressBar | Methods

Declaration

procedure

DoProgress;

virtual

Description
Calls the OnProgress event. Virtual so descendant classes can intercept progress messages.


TJSProgressBar.DoProgress Example
TJSProgressBar


TJSProgressBar Events
TJSProgressBar

Public
OnProgress


TJSProgressBar.InitializeStyle |  | Prev | Next
TJSProgressBar | Methods

Declaration

procedure

InitializeStyle(

const

AStyle:
TProgressStyle);

virtual


TJSProgressBar.InitializeStyle Example
TJSProgressBar


TJSProgressBar.Interval |  | Prev | Next
TJSProgressBar | Properties

Declaration

property

Interval:
Cardinal

read

GetInterval

write

SetInterval

default

100;

Description
Time it takes between painting updates to a psMarquee style progress bar.


TJSProgressBar.Interval Example
TJSProgressBar


TJSProgressBar.IsActivated |  | Prev | Next
TJSProgressBar | Properties

Declaration

property

IsActivated:
Boolean

read

GetIsActivated;

Description
Returns True if the psMarquee progress bar is currently activated.


TJSProgressBar.IsActivated Example
TJSProgressBar


TJSProgressBar.Max |  | Prev | Next
TJSProgressBar | Properties

Declaration

property

Max:
Integer

read

FMax

write

SetMax

default

100;

Description
Maximum value for the progress bar when the style is psNormal. Once the position reaches the Max value, the progress bar is considered finished.


TJSProgressBar.Max Example
TJSProgressBar


TJSProgressBar Methods
TJSProgressBar

Public
Activate
Create
Deactivate
Destroy
StepIt

Protected
DoProgress
InitializeStyle
Paint
WMEraseBkgnd


TJSProgressBar.OnProgress

Declaration

property

OnProgress:
TNotifyEvent

read

FOnProgress

write

FOnProgress;

Description
Event triggered when the progress bars position changes


TJSProgressBar.OnProgress Example
TJSProgressBar


TJSProgressBar.Paint |  | Prev | Next
TJSProgressBar | Methods

Declaration

procedure

Paint;

override


TJSProgressBar.Paint Example
TJSProgressBar


TJSProgressBar.Position |  | Prev | Next
TJSProgressBar | Properties

Declaration

property

Position:
Integer

read

FPosition

write

SetPosition

default

0;

Description
Current position of the progress bar.


TJSProgressBar.Position Example
TJSProgressBar


TJSProgressBar.ProgressColor |  | Prev | Next
TJSProgressBar | Properties

Declaration

property

ProgressColor:
TColor

read

FProgressColor

write

SetProgressColor

default

clLime;

Description
Color of the progress bar. This value is currently set by the ProgressStyle property and has no effect for either psNormal or psMarquee style progress bars.


TJSProgressBar.ProgressColor Example
TJSProgressBar


TJSProgressBar Properties
TJSProgressBar

Public
Active
ChunckWidth
Interval
IsActivated
Max
Position
ProgressColor
State
Step
Style


TJSProgressBar.State |  | Prev | Next
TJSProgressBar | Properties

Declaration

property

State:
TProgressBarState

read

FState

write

SetState

default

pbstNormal;

Description
The current state of the progress bar.
The state can be one of the following pbstNormal, pbstError, pbstPaused.


TJSProgressBar.State Example
TJSProgressBar


TJSProgressBar.Step |  | Prev | Next
TJSProgressBar | Properties

Declaration

property

Step:
Integer

read

FStep

write

SetStep

default

1;

Description
The amount to advance the progress bar position by with StepIt method is called.


TJSProgressBar.Step Example
TJSProgressBar


TJSProgressBar.StepIt |  | Prev | Next
TJSProgressBar | Methods

Declaration

procedure

StepIt;

Description
Advances the position of the progress bar by the value of the Step property.


TJSProgressBar.StepIt Example
TJSProgressBar


TJSProgressBar.Style |  | Prev | Next
TJSProgressBar | Properties

Declaration

property

Style:
TProgressStyle

read

FStyle

write

SetStyle

default

psNormal;

Description
The style of the progress bar. Can be either psNormal or psMarquee.
Use the psNormal style when you know how long the process is going to take. When the time a process is going to take is unknown, use the psMarquee style.


TJSProgressBar.Style Example
TJSProgressBar


TJSProgressBar.WMEraseBkgnd |  | Prev
TJSProgressBar | Methods

Declaration

procedure

WMEraseBkgnd(

var

Message

TWMEraseBkgnd);


TJSProgressBar.WMEraseBkgnd Example
TJSProgressBar


JSRichEdit File
List of Units

Unit Classes
TJSRichEdit


TJSRichEdit.CNNotify |  | Next
TJSRichEdit | Methods

Declaration

procedure

CNNotify(

var

Message

TMessage);


TJSRichEdit.CNNotify Example
TJSRichEdit


TJSRichEdit.Create |  | Prev | Next
TJSRichEdit | Methods

Declaration

constructor

Create(
AOwner:
TComponent);

override


TJSRichEdit.Create Example
TJSRichEdit


TJSRichEdit.CreateWnd |  | Prev | Next
TJSRichEdit | Methods

Declaration

procedure

CreateWnd;

override


TJSRichEdit.CreateWnd Example
TJSRichEdit


TJSRichEdit.DoLinkClicked |  | Prev | Next
TJSRichEdit | Methods

Declaration

procedure

DoLinkClicked(

const

aLink:

string
 );

virtual

Description
Protected virtual method that first the OnLinkClicked event.


TJSRichEdit.DoLinkClicked Example
TJSRichEdit


TJSRichEdit Events
TJSRichEdit

Public
OnLinkClicked


TJSRichEdit.Loaded |  | Prev | Next
TJSRichEdit | Methods

Declaration

procedure

Loaded;

override


TJSRichEdit.Loaded Example
TJSRichEdit


TJSRichEdit Methods
TJSRichEdit

Public
Create
ScrollToEnd
ScrollToLine
ScrollToTop

Protected
CNNotify
CreateWnd
DoLinkClicked
Loaded


TJSRichEdit.OnLinkClicked

Declaration

property

OnLinkClicked:
TLinkClickedEvent

read

FOnLinkClicked

write

FOnLinkClicked;

Description
Event triggered when the user clicks on the link within the control.


TJSRichEdit.OnLinkClicked Example
TJSRichEdit


TJSRichEdit Properties
TJSRichEdit

Public
ShowLinks


TJSRichEdit.ScrollToEnd |  | Prev | Next
TJSRichEdit | Methods

Declaration

procedure

ScrollToEnd;

Description
Scrolls to the end of the text in the control.


TJSRichEdit.ScrollToEnd Example
TJSRichEdit


TJSRichEdit.ScrollToLine |  | Prev | Next
TJSRichEdit | Methods

Declaration

procedure

ScrollToLine(

const

aLineNumber:
Integer);

Description
Scrolls to the line specified in the aLineNumber parameter.


TJSRichEdit.ScrollToLine Example
TJSRichEdit


TJSRichEdit.ScrollToTop |  | Prev
TJSRichEdit | Methods

Declaration

procedure

ScrollToTop;

Description
Scrolls to the top of the text in the control.


TJSRichEdit.ScrollToTop Example
TJSRichEdit


TJSRichEdit.ShowLinks

Declaration

property

ShowLinks:
Boolean

read

FShowLinks

write

SetShowLinks

default

True;

Description
Set this property to True to have the control highlight links within the text. If this property is False then no links are highlighted within the text.


TJSRichEdit.ShowLinks Example
TJSRichEdit


JSUrlLabel File
List of Units

Unit Classes
TJSHelpLinkLabel
TJSUrlLabel
TLinkClickedEvent
TUrlLink


TJSHelpLinkLabel.CMMouseenter |  | Next
TJSHelpLinkLabel | Methods

Declaration

procedure

CMMouseenter(

var

Message

TMessage);


TJSHelpLinkLabel.CMMouseenter Example
TJSHelpLinkLabel


TJSHelpLinkLabel.CMMouseleave |  | Prev | Next
TJSHelpLinkLabel | Methods

Declaration

procedure

CMMouseleave(

var

Message

TMessage);


TJSHelpLinkLabel.CMMouseleave Example
TJSHelpLinkLabel


TJSHelpLinkLabel.Create |  | Prev
TJSHelpLinkLabel | Methods

Declaration

constructor

Create(
AOwner:
TComponent);

override


TJSHelpLinkLabel.Create Example
TJSHelpLinkLabel


TJSHelpLinkLabel Events
TJSHelpLinkLabel


TJSHelpLinkLabel Methods
TJSHelpLinkLabel

Public
Create

Protected
CMMouseenter
CMMouseleave


TJSHelpLinkLabel Properties
TJSHelpLinkLabel


TJSUrlLabel.CMTextchanged |  | Next
TJSUrlLabel | Methods

Declaration

procedure

CMTextchanged(

var

Message

TMessage);


TJSUrlLabel.CMTextchanged Example
TJSUrlLabel


TJSUrlLabel.Create |  | Prev | Next
TJSUrlLabel | Methods

Declaration

constructor

Create(
AOwner:
TComponent);

override


TJSUrlLabel.Create Example
TJSUrlLabel


TJSUrlLabel.Destroy |  | Prev | Next
TJSUrlLabel | Methods

Declaration

destructor

Destroy;

override


TJSUrlLabel.Destroy Example
TJSUrlLabel


TJSUrlLabel.DoLinkClicked |  | Prev | Next
TJSUrlLabel | Methods

Declaration

procedure

DoLinkClicked;

virtual

Description
Protected virtual method that fires the OnLinkClicked event.


TJSUrlLabel.DoLinkClicked Example
TJSUrlLabel


TJSUrlLabel Events
TJSUrlLabel

Public
OnLinkClicked


TJSUrlLabel.GetLabelText |  | Prev | Next
TJSUrlLabel | Methods

Declaration

function

GetLabelText:

string

override


TJSUrlLabel.GetLabelText Example
TJSUrlLabel


TJSUrlLabel.GetLink |  | Prev | Next
TJSUrlLabel | Methods

Declaration

function

GetLink(

var

aStart,
aEnd:
Integer):

string


TJSUrlLabel.GetLink Example
TJSUrlLabel


TJSUrlLabel.HasLink |  | Prev | Next
TJSUrlLabel | Methods

Declaration

function

HasLink:
Boolean;

Description
Returns True if the label caption contains an embedded link.


TJSUrlLabel.HasLink Example
TJSUrlLabel


TJSUrlLabel.LinkFont |  | Prev | Next
TJSUrlLabel | Properties

Declaration

property

LinkFont:
TFont

read

FLinkFont

write

SetLinkFont;

Description
Specifies the font attributes that the embedded link is drawn with.


TJSUrlLabel.LinkFont Example
TJSUrlLabel


TJSUrlLabel Methods
TJSUrlLabel

Public
Create
Destroy

Protected
CMTextchanged
DoLinkClicked
GetLabelText
GetLink
HasLink
MouseMove
MouseUp
Paint


TJSUrlLabel.MouseMove |  | Prev | Next
TJSUrlLabel | Methods

Declaration

procedure

MouseMove(
Shift:
TShiftState;
X:
Integer;
Y:
Integer);

override


TJSUrlLabel.MouseMove Example
TJSUrlLabel


TJSUrlLabel.MouseUp |  | Prev | Next
TJSUrlLabel | Methods

Declaration

procedure

MouseUp(
Button:
TMouseButton;
Shift:
TShiftState;
X:
Integer;
Y:
Integer);

override


TJSUrlLabel.MouseUp Example
TJSUrlLabel


TJSUrlLabel.OnLinkClicked

Declaration

property

OnLinkClicked:
TLinkClickedEvent

read

FOnLinkClicked

write

FOnLinkClicked;

Description
Event triggered when the user clicks on the link within the label.


TJSUrlLabel.OnLinkClicked Example
TJSUrlLabel


TJSUrlLabel.Paint |  | Prev
TJSUrlLabel | Methods

Declaration

procedure

Paint;

override


TJSUrlLabel.Paint Example
TJSUrlLabel


TJSUrlLabel Properties
TJSUrlLabel

Public
LinkFont


TUrlLink.Create

Declaration

constructor

Create(

const

AText,
ALink:

string
 );


TUrlLink.Create Example
TUrlLink


TUrlLink.Link |  | Next
TUrlLink | Properties

Declaration

property

Link:

string

read

FLink

write

FLink;

Description
The actual link that is to be opened.


TUrlLink.Link Example
TUrlLink


TUrlLink Methods
TUrlLink

Public
Create


TUrlLink Properties
TUrlLink

Public
Link
Rect
Text


TUrlLink.Rect |  | Prev | Next
TUrlLink | Properties

Declaration

property

Rect:
TRect

read

FRect

write

FRect;

Description
The Rect that the link information is within the label.


TUrlLink.Rect Example
TUrlLink


TUrlLink.Text |  | Prev
TUrlLink | Properties

Declaration

property

Text:

string

read

FText

write

FText;

Description
The Text that is associated with the link.


TUrlLink.Text Example
TUrlLink


No Project Title Units

Units
JSGraphUtil
JSDialogs
JSButton
JSDialog
JSCheckBox
JSLabel
JSUrlLabel
JSProgressBar
JSRichEdit